function [SampleHeight,ContactForce]=EstablishContact(app)
%% Searches for contact, then measures sample heigh and contact force

contact_filter_gain=1/2^2;
loading_filter_gain=1/2^1;

app.Controller_SearchingForContact=true;
app.Controller_SearchingForZeroGap=false;
app.Controller_InContact=false;
app.LoadCell_FilterGain=contact_filter_gain;%higher value for contact_exponent = more filtering to achieve smaller contact force
app.Motor_Status=true;

%% Take a pre-contact photo
TakeCameraPhoto(app.Sample_Name);

%% Contact detection (requires ForceProg to already be running and fully initialized)
[Contact_Program]=FindContact(app);

contact_check=0.2;%seconds between checks (MATLAB side only)
set(app.ProgramStatusTextArea,'Value','Searching for contact...');
GalilRun(app,Contact_Program,contact_check);


app.Controller_SearchingForContact=false;
app.Controller_InContact=true;
set(app.ProgramStatusTextArea,'Value','Contact established.');

ContactForce=str2double(app.Controller.command('MGf0'));%N
SampleHeight=str2double(app.Controller.command('TPA'));%return in counts

%% Take a post-contact photo
TakeCameraPhoto([]);

app.Sample_Height=SampleHeight;
app.Controller_ContactForce=ContactForce;
app.Controller_ContactTime=tic;

[data_file]=CreateDataFileName(app.Sample_Name,'mat');
app.MATDataFile=data_file;
save(app.MATDataFile,'ContactForce','SampleHeight');%previously only recorded sample height and contact force

app.LoadCell_FilterGain=loading_filter_gain;%no filtering provides finer resolution
