%% Estimate the elastic modulus of a sphere having radius R during compression between rigid parallel plates.

function [E,F_fit]=HertzModulus(u,F,R)

err=@(x) sum((F-sqrt(2)/3*x/(1-0.5^2)*sqrt(R)*u.^1.5).^2);

E=fminsearch(err,1e3);%SI units

if(nargout>1)
    F_fit=sqrt(2)/3*E/(1-0.5^2)*sqrt(R)*u.^1.5;
end
