close all;
clear all;clc;
% basefolder='';
basefolder='Results\Orbeez #1';
data_file='Orbeez #1 - 06-May-2022 12-54-54.bin';
NumChannels=7;

data_filename=fullfile(basefolder,data_file);


[t,u,F,Photo,Contact,Loading,Unloading,Pulloff]=...
    ReduceData(data_filename,NumChannels);

tbl=table(t,u,F,Photo,Contact,Loading,Unloading,Pulloff);

figure;stackedplot(tbl);

photo=AnalyzeOneBinaryChannel(Photo);
contact=AnalyzeOneBinaryChannel(Contact);
loading=AnalyzeOneBinaryChannel(Loading);
unloading=AnalyzeOneBinaryChannel(Unloading);
% [G(idx),exponent(idx),F_fit,x0(idx),Fmax(idx),Rsquared(idx)]=FitHertzModel(F_loading,u_loading,IncludeOffset);

idx=(loading==1);
t_analyze=t(idx);
u_analyze=u(idx);
F_analyze=F(idx);


SampleHeight=u_analyze(1);
R=SampleHeight/2;

displacement=SampleHeight-u_analyze;
force=F_analyze-F_analyze(1);

[E]=HertzModulus(displacement,force,R);
F_fit=sqrt(2)/3*E/(1-0.5^2)*sqrt(R)*displacement.^1.5;

figure;
plot(displacement,force,'k.',displacement,F_fit,'r-','LineWidth',1.5);
xlabel('Displacement (mm)');
ylabel('Force (N)');
legend({'Data','Hertz Model'},'box','off','Location','NW')