function PlotADCConversionCurves()

figure;hold all;
for(ADCRange=1:4)
    switch(ADCRange)
        case(1)%+/-5V
            V=[-5 5];
            Counts=round(V*32767/5);
        case(2)%+/-10V
            V=[-10 10];
            Counts=round(V*32767/10);
        case(3)%0-5V
            V=[0 5];
            Counts=round(V*65535/5);
        case(4)%0-10V
            V=[0 10];
            Counts=round(V*65535/10);
    end
    plot(V,Counts)
    [min(Counts),max(Counts)]
end


legend({'1: \pm5V' '2: \pm10V' '3: 0-5V' '4: 0-10V'},'Location','NW');
title('ADC Curves');
xlabel('Voltage (V)')
ylabel('Counts (-)')
box on;
saveas(gcf,'ADC Conversion Curves.png')
