function onDMCMessage(varargin)

global waiting GUI_status_values fid;
global VoltageWarning SampleHeight;

try
    msg=varargin{end-1}.message(1:end-2);

    newstr=splitlines(msg);
    for(line=1:length(newstr))
        str=newstr{line};
    
        %% Parse the message
        [message,values]=strtok(str,' ');

        %% Output for debugging and/or progress monitoring

        %% Decide what to do with the message
        switch(message)
            case('MOTOR_INIT')
                waiting=0;
            case('ZERO_GAP')
                waiting=0;%stop waiting
            case('LIFT')
                waiting=0;
            case('CONTACT')
                waiting=waiting-1;%stop waiting
                [~,remaining]=strtok(str,' ');
                SampleHeight=str2double(remaining);%this can be done elsewhere
            case('DONE')%finished loading routine
                waiting=0;%waiting-1;
            case({'WARNING_VOLTAGE' 'OVERLOAD'})%load cell overload warning
                waiting=0;
                VoltageWarning=true;
            case('test')%load cell overload warning
                disp('Connection test success!');
                waiting=0;
            case('LIMIT_HIT')%encoder limit switch
                waiting=waiting-1;
            case('keepalive')%data for GUI
                values=str2num(values); %#ok<ST2NM> 
                if(~isempty(GUI_status_values) && length(GUI_status_values)>3 && length(values)>3)
                    rising_edge=(values(4)>GUI_status_values(4));%compare current against old value
                    if(rising_edge)%photo bit just turned true
                        TakeCameraPhoto([]);
                    end
                end
    
                GUI_status_values=values;
                %% Record data to binary file
                if(~isempty(fid))%only record data when file is set up
                    if(fid>=3)
                        fwrite(fid,GUI_status_values','double');
                    end
                end         
            otherwise%Galil error message - always stop
                disp(message)
                waiting=0;%waiting-1;
        end
    end

catch ex
    getReport(ex)
end

