function onDMCRecord(varargin)

global fid;

record=varargin{3};

controller=varargin{1};

try

    time=controller.sourceValue(record,'TIME');
    Force=controller.sourceValue(record,'_ZAA')*1e-6;%filtered force in N
    pos=controller.sourceValue(record,'_TPA');
    Photo=controller.sourceValue(record,'@OUT[1]');%currently taking photo (shutter open)
    InContact=controller.sourceValue(record,'@OUT[2]');%signifies being in contact
    Loading=controller.sourceValue(record,'@OUT[3]');%signifies loading curve
    Unloading=controller.sourceValue(record,'@OUT[4]');%signifies unloading curve

%% Specify data vector for display and recording
current_state=[time pos Force Photo InContact Loading Unloading];

    if(~isempty(fid))%need to write this down
        if(fid>0)%negative implies invalid file handle
            fwrite(fid,current_state,'double');
        end
    end%otherwise, only the force is needed (e.g. for determining contact/zero gap)

catch ex
    getReport(ex)
end
